uk.gov.hmrc.http

# HttpVerb

###
Related Doc: package http

#### trait HttpVerb extends Request

Linear Supertypes
Request, AnyRef, Any
Known Subclasses
HttpDelete, HttpGet, HttpPatch, HttpPost, HttpPut
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpVerb
2. Request
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type ProcessingFunction = (Future[HttpResponse], String) ⇒ Future[HttpResponse]

   Annotations
     @deprecated
   Deprecated

     (Since version 18/03/2015) ProcessingFunction is obsolete, use the relevant HttpReads[A] instead

### Abstract Value Members

1. #### abstract def configuration: Option[Config]

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def applicableHeaders(url: String)(implicit hc: HeaderCarrier): Seq[(String, String)]

   Definition Classes
     HttpVerb → Request

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def badGatewayMessage(verbName: String, url: String, e: Exception): String

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def gatewayTimeoutMessage(verbName: String, url: String, e: Exception): String

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### lazy val internalHostPatterns: Seq[Regex]

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def mapErrors(httpMethod: String, url: String, f: Future[HttpResponse])(implicit ec: ExecutionContext): Future[HttpResponse]

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### lazy val userAgentHeader: Seq[(String, String)]

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Request

### Inherited from AnyRef

### Inherited from Any

### Ungrouped